aboutsummaryrefslogtreecommitdiffstats
path: root/community/ospd
diff options
context:
space:
mode:
Diffstat (limited to 'community/ospd')
-rw-r--r--community/ospd/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/community/ospd/APKBUILD b/community/ospd/APKBUILD
new file mode 100644
index 0000000000..92753dc8d0
--- /dev/null
+++ b/community/ospd/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=ospd
+pkgver=1.2b1
+pkgrel=0
+pkgdesc="Collection of scanner wrappers for OpenVAS"
+url="http://www.openvas.org/"
+arch="noarch"
+license="GPL"
+depends="python3"
+depends_dev=""
+makedepends="$depends_dev py3-paramiko"
+install=""
+subpackages=""
+source="http://wald.intevation.org/frs/download.php/2217/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="87b583b732c6efe1cc3632ec5136c278 ospd-1.2b1.tar.gz"
+sha256sums="ab85e8b6e2bed5ce98b5911446e49e843c59354f1bc1d8d34a9ea26f8e013813 ospd-1.2b1.tar.gz"
+sha512sums="604180037fdbd6a093ee92ec1a5f80fb89c82de8931cf1fc904e4425b69017a489f33a5e59d0b81d2e58c95ad38c9dec8b616514612422781c0adea720a69f04 ospd-1.2b1.tar.gz"